For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Introduction
    • Getting Started
    • Authentication
  • Guide
    • Common Code Patterns
    • Metrics
    • Glossary of Metrics
  • Data
      • GETAccount Benchmark Quantiles
      • GETAccount Benchmark Scaling
      • GETAccount Available Models
      • GETAccount Benchmark Tradeoff At Scale
      • GETBenchmark Quantiles Route
      • GETBenchmark Tradeoff At Scale Route
      • GETBenchmark Scaling
      • GETBenchmark Available Models
      • GETAvailable Company Categories
      • GETBenchmark Combined Time Series
      • GETBenchmark Time Series Endpoint
      • GETDeal Benchmark Quantiles
      • GETDeal Benchmark Tradeoff At Scale
      • GETColumns Metadata
      • GETModels Metadata
      • GETCategories Metadata
  • Deal Management
  • AI
  • User
    • POSTClient Access Token
  • Liveblocks
    • POSTGet Liveblocks Token
  • user_file
    • GETList User Files
    • POSTUpload User File
    • POSTNotify Submission
    • GETDownload User File
    • DELDelete User File
LogoLogo
DataBenchmarking

Benchmark Tradeoff At Scale Route

GET
/api/v1/group/:group_id/deal/:deal_id/data/benchmark/tradeoff-at-scale/:category
GET
/api/v1/group/:group_id/deal/:deal_id/data/benchmark/tradeoff-at-scale/:category
$curl -G https://app.termina.ai/api/v1/group/1/deal/1/data/benchmark/tradeoff-at-scale/category \
> -H "Authorization: Bearer <token>" \
> -d revenue=1.1
1{}

Get tradeoff models for a specific category at a given revenue scale.

Tradeoff models show the relationship between two metrics (e.g., growth vs. margin) for companies at a similar revenue scale.

Was this page helpful?
Previous

Benchmark Scaling

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

group_idintegerRequired
deal_idintegerRequired
categorystringRequired

Query parameters

revenuedoubleRequired
Annualized revenue scale for which to obtain benchmarks
modellist of strings or nullOptional

Response

Successful Response
scaleobject
Describes the revenue range of the data whose points represent the trade off.
raw_datalist of maps from strings to doubles

Raw data points used to generate the tradeoff model. Each dictionary contains exactly two key-value pairs representing the x-metric and y-metric being compared. The keys are dynamic metric names that vary by model - for example, ‘12m_growth_vs_margin’ uses ‘quarterly_operating_margin’ (x) and ‘cmgr12’ (y). Use the /data/benchmark/metadata/models endpoint to see which columns each model uses.

discarded_raw_datalist of maps from strings to doubles

Additional raw data points which were not used in the model fit due to outlier status. Contains the same metric keys as raw_data. These points were excluded to prevent skewing the tradeoff distribution.

areaslist of objects

Areas representing the confidence regions of the tradeoff model. The x-y coordinates describe an elliptical surface containing (1 - alpha) share of the data points, showing the typical tradeoff distribution at this revenue scale.

Errors

422
Unprocessable Entity Error